// Directional light light mapped bump mapping OFFSET MOD
vs.1.1

// Compute the projection space vertex position
m4x4 oPos, v0, c0

// The first texture coordinate gets the texture coordinate of the mesh multiplied by the scaling values
mul r0, v7, c7
add oT0, r0, c7.zwxy

// The second texture coordinate gets a tangent space light to vertex vector
dp3 oT1.x, c4, v8
dp3 oT1.y, c4, v9
dp3 oT1.z, c4, v3

// Third gets lightmap coordinates (MODIFY BELOW FOR 2ND TEXCOORD LIGHTMAPPING)
mov oT2, v7
// OR mov oT2, v8 (if you have second coordinate-set set up)

// Multiply the light and material colors
mov r0, c6
mul oD0.rgb, c5, r0.rgb
mov oD0.a, c5.a
